update-ifo.sh
changeset 3 cc5593c28a4b
child 4 746384ca83b6
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/update-ifo.sh	Sun Jun 28 21:12:19 2009 +0300
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+help() {
+  echo "Usage:"
+  echo "  update-ifo.sh <file>.ifo"
+}
+
+if [ x$1 = x ]; then
+  help
+  exit 1
+fi
+
+name=$1
+name=${name%.ifo}
+echo $1
+echo $name
+
+if [ $1 = $name ]; then
+  echo "Error: file must have .ifo extension."
+  exit 1
+fi
+
+if [ ! -e $1 ]; then
+  echo "Error: file $1 not exist."
+fi
+
+date=`date +%Y-%m-%d`
+
+echo "author=Oleksandr Gavenko" >>$1
+echo "email=gavenkoa@gmail.com" >>$1
+echo "website=http://gavenkoa.blogspot.com" >>$1
+echo "description=Irregular verbs dictionary with translation to Russian." >>$1
+echo "date=$date" >>$1